# Type Reference

<details>

<summary>Strategy <mark style="color:blue;">[Enum]</mark></summary>

**TWAP** - Time weighted average price

**VWAP** - Volume weighted average price

**IS** - Implementation shortfall (arrival price)

**Target Time** - Volume weighted average price

**Market** - Market order

**Limit** - Limit order

**Iceberg** - Iceberg order

**IOC** - [Immediate or Cancel](/creating-and-submitting-orders/strategies/ioc.md)

</details>

<details>

<summary>StrategyParams <mark style="color:green;">[Structure]</mark></summary>

passive\_only       boolean       Passive position when placing a take order

active\_limit         boolean       Aggressively repegs child orders

reduce\_only        boolean       Only send orders that reduce the size of a current position

ool\_pause            boolean       See [OOL Pause](/creating-and-submitting-orders/advanced-settings/ool-pause.md)

[strict\_duration](https://tread-labs.gitbook.io/api-docs/interacting-with-the-api/api-reference/orders#submit-an-order)    boolean       Ensure the order finishes at the end time, regardless of fills

dicy                       boolean       Enable DiCy

spot\_leverage     boolean       Sets the isLeverage parameter for BinancePM and Bybit orders

max\_clip\_size     integer         Maximum clip size, if not set, uses dynamic (*optional)*

</details>

<details>

<summary>OrderStatus <mark style="color:blue;">[Enum]</mark></summary>

SCHEDULED - Order has been scheduled and will be executed (skipped if started immediately)

ACTIVE - Order is being executed within the designated time window

FINISHER - Last portion of order is being executed

COMPLETE - Execution is complete

CANCELED - Order has been cancelled

PAUSED - Order has been paused

</details>

<details>

<summary>MultiOrderStatus  <mark style="color:blue;">[Enum]</mark></summary>

ACTIVE - Order is being executed within the designated time window

COMPLETE - Execution is complete

CANCELED - Order has been cancelled

PAUSED - Order has been paused

</details>

<details>

<summary>MarketType <mark style="color:blue;">[Enum]</mark></summary>

spot - spot market

perp - perpetual futures/swaps market

\# Not yet available

future

option

\# only for balances

unified - unified wallet

</details>

<details>

<summary>AssetType <mark style="color:blue;">[Enum]</mark></summary>

token - asset is a token

position - asset is a contract/position

</details>

<details>

<summary>Exchange <mark style="color:blue;">[Enum]</mark></summary>

Binance

Bybit

OKX

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tread.fi/interacting-with-the-api/api-reference/type-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
